GNUE-FORMS(1)

NAME
gnue-forms - GNUe Forms

SYNOPSIS
gnue-forms [ options ] file

DESCRIPTION
GNUe Forms is the primary user interface to the GNU Enterprise system.

OPTIONS

GENERAL OPTIONS

--connections <location>
    Specifies the location of the connection definition file. <location> may specify a file name (/usr/local/gnue/etc/connections.conf),or a URL location (http://localhost/connections.conf).If this option is not specified, the environent variable GNUE_CONNECTIONS is checked.If neither of them is set, "/home/reinhard/gnue/etc/connections.conf" is used as a default.

--debug-file <filename>
    Sends all debugging messages to a specified file (e.g., "--debug-file trace.log" sends all output to "trace.log")

--debug-level <level>
    Enables debugging messages. Argument specifies the level of messages to display (e.g., "--debug-level 5" displays all debugging messages at level 5 or below.)

--help
    Displays this help screen.

--help-config
    Displays a list of valid configuration file entries, their purpose, and their default values.

--help-connections
    Display help information related to database connections, including a list of available drivers.

--help-dev
    Display all options of interest to core developers.

--help-ui
    Prints a list of user interfaces that forms supports.

--interface <ui>, -u
    The name of the user interface to use to display your form. For a list of interfaces, use the --help-ui options.

--no-splash, -s
    Disables the splash screen

--password <passwd>
    Password used to log into the database. Note that if specified, this will be used for all databases. If not supplied, the program will prompt for password if needed. NOTE: SUPPLYING A PASSWORD VIA THE COMMAND LINE MAY BE CONSIDERED A SECURITY RISK AND IS NOT RECOMMENDED.

--silent
    Displays no output at all.

--username <name>
    Username used to log into the database. Note that if specified, this will be used for all databases. If not supplied, the program will prompt for username.

--version
    Displays the version information for this program.

DEVELOPER OPTIONS

--debug-gc <logfile>, -g
    Debug Python's garbage collection on a SIGUSR1. If the argument is empty 'garbage.log' will be used as logfile.

--debug-imports
    All python imports are logged to stdout

--interactive-debugger
    Run the app inside Python's built-in debugger

--profile
    Run Python's built-in profiler and display the resulting run statistics.

--selfdoc <type[,subtype]>
    Generates self-documentation.

--selfdoc-file <filename>
    Specifies the filename that selfdoc should write to. If not provided, output is sent to stdout.

--selfdoc-format <format>
    Format to output the self-documentation in. Supported formats are dependent on the type of selfdoc being created.

--selfdoc-options <options>
    Options specific to individual selfdoc types.

AUTHOR
GNU Enterprise Project <info@gnue.org>

BUGS
Please report any bugs to gnue-dev@gnu.org. Include a complete, self-contained example that will allow the bug to be reproduced, and say which version of this tool you are using.

COPYRIGHT
Copyright © 2000-2009 Free Software Foundation, Inc.

gnue-forms is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version.

gnue-forms is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with gnue-forms; see the file COPYING. If not, write to the Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.